Package pyplusplus :: Package messages :: Module warnings_

# Module warnings_

source code

This package defines all user messages (warnings + errors), which will be reported to user.

Classes
message_type implementation details
warning
compilation_error
execution_error
code_generation_error

Variables
| W0000 = `'warning W0000: %s'`
| W1000 = `'compilation error W1000: Py++, by default, does not e`...``
| W1001 = `'compilation error W1001: Py++, by default, does not e`...``
| W1002 = `'compilation error W1002: Py++, by default, does not e`...``
| W1003 = `'warning W1003: Virtual functions that returns const r`...``
| W1004 = `'compilation error W1004: Boost.Python library can not`...``
| W1005 = `'compilation error W1005: Py++ cannot expose function `...``
| W1006 = `'compilation error W1006: Py++ need your help to expos`...``
| W1007 = `'warning W1007: The function has more than %d argument`...``
| W1008 = `'warning W1008: The function returns non-const referen`...``
| W1009 = `'execution error W1009: The function takes as argument`...``
| W1010 = `'execution error W1010: The function introduces regist`...``
| W1011 = `"warning W1011: Py++ doesn't export private not virtua`...``
| W1012 = `'compilation error W1012: Py++ does not exports compil`...``
| W1013 = `"compilation error W1013: Py++ doesn't export private `...``
| W1014 = `'compilation error W1014: "%s" is not supported. See B`...``
| W1015 = `"compilation error W1015: Py++ doesn't export private `...``
| W1016 = `'warning W1016: Py++ does not exports non-const castin`...``
| W1017 = `"compilation error W1017: Py++ doesn't export non-publ`...``
| W1018 = `'compilation error W1018: Py++ can not expose anonymou`...``
| W1019 = `'compilation error W1019: Py++ can not expose private `...``
| W1020 = `'warning W1020: Py++ will generate class wrapper - han`...``
| W1021 = `'warning W1021: Py++ will generate class wrapper - han`...``
| W1022 = `'warning W1022: Py++ will generate class wrapper - han`...``
| W1023 = `'warning W1023: Py++ will generate class wrapper - the`...``
| W1024 = `'warning W1024: Py++ will generate class wrapper - cla`...``
| W1025 = `'warning W1025: Py++ will generate class wrapper - cla`...``
| W1026 = `'warning W1026: Py++ will generate class wrapper - cla`...``
| W1027 = `'warning W1027: Py++ will generate class wrapper - cla`...``
| W1028 = `'warning W1028: Py++ will generate class wrapper - cla`...``
| W1029 = `'warning W1029: Py++ will generate class wrapper - han`...``
| W1030 = `'warning W1030: Py++ will generate class wrapper - cla`...``
| W1031 = `'warning W1031: Py++ will generate class wrapper - use`...``
| W1032 = `'execution error W1032: Boost.Python library does not `...``
| W1033 = `'compilation error W1033: Py++ can not expose anonymou`...``
| W1034 = `'compilation error W1034: Py++ can not expose alignmen`...``
| W1035 = `'compilation error W1035: Py++ can not expose static p`...``
| W1036 = `'compilation error W1036: Py++ can not expose pointer `...``
| W1037 = `'compilation error W1037: Boost.Python library can not`...``
| W1038 = `'compilation error W1038: Py++ can not expose variable`...``
| W1039 = `"compilation error W1039: Py++ doesn't expose private `...``
| W1040 = `'execution error W1040: The declaration is unexposed, `...``
| W1041 = `'warning W1041: Property "%s" could not be created. Th`...``
| W1042 = `'warning W1042: Py++ can not find out container value_`...``
| W1043 = `'warning W1043: Py++ created an ugly alias ("%s") for `...``
| W1044 = `'warning W1044: Py++ created an ugly alias ("%s") for `...``
| W1045 = `'compilation error W1045: Py++ does not expose static `...``
| W1046 = `'warning W1046: The virtual function was declared with`...``
| W1047 = `'warning W1047: There are two or more classes that use`...``
| W1048 = `'warning W1048: There are two or more aliases within "`...``
| W1049 = `'warning W1049: This method could not be overriden in `...``
| W1050 = `'compilation error W1050: The function returns "%s" ty`...``
| W1051 = `'warning W1051: The function takes as argument (name=%`...``
| W1052 = `'warning W1052: Py++ will not expose free operator "%s`...``
| W1053 = `'warning W1053: Py++ will not expose function "%s" - t`...``
| W1054 = `'compilation error W1054: Py++ can not expose unions.'`
| W1055 = `'warning W1055: Py++ will generate class wrapper - han`...``
| W1056 = `"compilation error W1056: Py++ can not expose array of`...``
| W1057 = `'compilation error W1057: Py++ can not expose "%s" - i`...``
| W1058 = `'compilation error W1058: Py++ can not expose "%s" it `...``
| W1059 = `'compilation error W1059: Py++ can not expose "%s" - i`...``
| W1060 = `'compilation error W1060: Py++ can not expose "%s" - i`...``
| W1061 = `'compilation error W1061: Py++ can not expose "%s" - i`...``
| W1062 = `'compilation error W1062: "%s" contains "fake construc`...``
| W1063 = `'compilation error W1063: "%s" contains "fake construc`...``
| W1064 = `'compilation error W1064: Py++ can not expose "%s" as `...``
| W1065 = `'code generation error W1065: There are two or more cl`...``
| all_warning_msgs = ``[`'compilation error W1060: Py++ can not exp`...``
| msg = ``'``compilation error W1035: Py++ can not expose static poi``...``
| msg_inst = `'compilation error W1035: Py++ can not expose stati`...``

Variables Details

### W1000

Value:

      'compilation error W1000: Py++, by default, does not expose internal c
      ompilers declarations. Names of those declarations usually start with
      "__".'

### W1001

Value:

      'compilation error W1001: Py++, by default, does not expose internal d
      eclarations. GCC-XML reports that these declaration belong to "<intern
      al>" header.'

### W1002

Value:

      'compilation error W1002: Py++, by default, does not expose compiler g
      enerated declarations.'

### W1003

Value:

      'warning W1003: Virtual functions that returns const reference cannot
      be overridden from Python. Reason: boost::python::override::operator()
      (...) saves the result of the marshaling (from Python to C++) on the s
      tack. Thus operator() returns reference to a temporary variable. Consi
      der to use "Function Transformation" functionality to solve the proble
      m.'

### W1004

Value:

      'compilation error W1004: Boost.Python library can not expose function
      , which takes as argument/returns pointer to function.  See http://www
      .boost.org/libs/python/doc/v2/faq.html#funcptr for more information.'

### W1005

Value:

      'compilation error W1005: Py++ cannot expose function that takes as ar
      gument/returns instance of non-public class. Generated code will not c
      ompile.'

### W1006

Value:

      'compilation error W1006: Py++ need your help to expose function that
      takes as argument/returns C++ arrays. Take a look on "Function Transfo
      rmation" functionality and define the transformation.'

### W1007

Value:

      'warning W1007: The function has more than %d arguments ( %d ). You sh
      ould adjust BOOST_PYTHON_MAX_ARITY macro. For more information see: ht
      tp://www.boost.org/libs/python/doc/v2/configuration.html'

### W1008

Value:

      'warning W1008: The function returns non-const reference to "Python im
      mutable" type. The value cannot be modified from Python. '

### W1009

Value:

      'execution error W1009: The function takes as argument (name=%s, pos=%
      d) non-const reference to Python immutable type - function could not b
      e called from Python. Take a look on "Function Transformation" functio
      nality and define the transformation.'

### W1010

Value:

      'execution error W1010: The function introduces registration order pro
      blem. For more information about the problem read next document: http:
      //language-binding.net/pyplusplus/documentation/functions/registration
      _order.html Problematic functions list: %s'

### W1011

Value:

      "warning W1011: Py++ doesn't export private not virtual functions."

### W1012

Value:

      'compilation error W1012: Py++ does not exports compiler generated con
      structors.'

### W1013

Value:

      "compilation error W1013: Py++ doesn't export private constructor."

### W1014

Value:

      'compilation error W1014: "%s" is not supported. See Boost.Python docu
      mentation: http://www.boost.org/libs/python/doc/v2/operators.html#intr
      oduction.'

### W1015

Value:

      "compilation error W1015: Py++ doesn't export private operators."

### W1016

Value:

      'warning W1016: Py++ does not exports non-const casting operators with
       user defined type as return value. This could be changed in future.'

### W1017

Value:

      "compilation error W1017: Py++ doesn't export non-public casting opera
      tors."

### W1018

Value:

      'compilation error W1018: Py++ can not expose anonymous class "%s", de
      clared in a namespace.'

### W1019

Value:

      'compilation error W1019: Py++ can not expose private class.'

### W1020

Value:

      'warning W1020: Py++ will generate class wrapper - hand written code s
      hould be added to the wrapper class'

### W1021

Value:

      'warning W1021: Py++ will generate class wrapper - hand written code s
      hould be added to the wrapper class null constructor body'

### W1022

Value:

      'warning W1022: Py++ will generate class wrapper - hand written code s
      hould be added to the wrapper class copy constructor body'

### W1023

Value:

      'warning W1023: Py++ will generate class wrapper - there are few funct
      ions that should be redefined in class wrapper. The functions are: %s.
      '

### W1024

Value:

      'warning W1024: Py++ will generate class wrapper - class contains "%s"
       - bit field member variable'

### W1025

Value:

      'warning W1025: Py++ will generate class wrapper - class contains "%s"
       - T* member variable'

### W1026

Value:

      'warning W1026: Py++ will generate class wrapper - class contains "%s"
       - T& member variable'

### W1027

Value:

      'warning W1027: Py++ will generate class wrapper - class contains "%s"
       - array member variable'

### W1028

Value:

      'warning W1028: Py++ will generate class wrapper - class contains defi
      nition of nested class "%s", which requires wrapper class'

### W1029

Value:

      'warning W1029: Py++ will generate class wrapper - hand written code s
      hould be added to the wrapper class constructor body'

### W1030

Value:

      'warning W1030: Py++ will generate class wrapper - class contains "%s"
       - [pure] virtual member function'

### W1031

Value:

      'warning W1031: Py++ will generate class wrapper - user asked to expos
      e non - public member function "%s"'

### W1032

Value:

      'execution error W1032: Boost.Python library does not support enums wi
      th duplicate values. You can read more about this here: http://boost.o
      rg/libs/python/todo.html#support-for-enums-with-duplicate-values . The
       quick work around is to add new class variable to the exported enum,
      from Python. '

### W1033

Value:

      'compilation error W1033: Py++ can not expose anonymous variables'

### W1034

Value:

      'compilation error W1034: Py++ can not expose alignment bit.'

### W1035

Value:

      'compilation error W1035: Py++ can not expose static pointer member va
      riables. This could be changed in future.'

### W1036

Value:

      'compilation error W1036: Py++ can not expose pointer to Python immuta
      ble member variables. This could be changed in future.'

### W1037

Value:

      'compilation error W1037: Boost.Python library can not expose variable
      s, which are pointer to function. See http://www.boost.org/libs/python
      /doc/v2/faq.html#funcptr for more information.'

### W1038

Value:

      'compilation error W1038: Py++ can not expose variables of with anonym
      ous type.'

### W1039

Value:

      "compilation error W1039: Py++ doesn't expose private or protected mem
      ber variables."

### W1040

Value:

      'execution error W1040: The declaration is unexposed, but there are ot
      her declarations, which refer to it. This could cause "no to_python co
      nverter found" run time error. Declarations: %s'

### W1041

Value:

      'warning W1041: Property "%s" could not be created. There is another e
      xposed declaration with the same name( alias )." The property will mak
      e it inaccessible.'

### W1042

Value:

      'warning W1042: Py++ can not find out container value_type( mapped_typ
      e ). The container class is template instantiation declaration and not
       definition. This container class will be exported, but there is a pos
      sibility, that generated code will not compile or will lack some funct
      ionality. The solution to the problem is to create a variable of the c
      lass.'

### W1043

Value:

      'warning W1043: Py++ created an ugly alias ("%s") for template instant
      iated class.'

### W1044

Value:

      'warning W1044: Py++ created an ugly alias ("%s") for function wrapper
      .'

### W1045

Value:

      'compilation error W1045: Py++ does not expose static arrays with unkn
      own size. You can fix this by setting array size to the actual one.For
       more information see "array_t" class documentation.'

### W1046

Value:

      'warning W1046: The virtual function was declared with empty throw. Ad
      ding the ability to override the function from Python breaks the excep
      tion specification. The function wrapper can throw any exception. In c
      ase of exception in run-time, the behaviour of the program is undefine
      d! '

### W1047

Value:

      'warning W1047: There are two or more classes that use same alias("%s"
      ). Duplicated aliases causes few problems, but the main one is that so
      me of the classes will not be exposed to Python.Other classes : %s'

### W1048

Value:

      'warning W1048: There are two or more aliases within "pyplusplus::alia
      ses" namespace for the class. Py++ selected "%s" as class alias. Other
       aliases: %s'

### W1049

Value:

      'warning W1049: This method could not be overriden in Python - method
      returns reference to local variable!'

### W1050

Value:

      'compilation error W1050: The function returns "%s" type. You have to
      specify a call policies.Be sure to take a look on Py++ defined call po
      licies: http://language-binding.net/pyplusplus/documentation/functions
      /call_policies.html#py-defined-call-policies'

### W1051

Value:

      'warning W1051: The function takes as argument (name=%s, pos=%d) "%s"
      type. You have to specify a call policies or to use "Function Transfor
      mation" functionality.'

### W1052

Value:

      'warning W1052: Py++ will not expose free operator "%s" - all classes,
       this operator works on, are excluded.'

### W1053

Value:

      'warning W1053: Py++ will not expose function "%s" - the function has
      variable-argument list, spicified by ellipsis (...).'

### W1055

Value:

      'warning W1055: Py++ will generate class wrapper - hand written code s
      hould be added to the wrapper class destructor body'

### W1056

Value:

      "compilation error W1056: Py++ can not expose array of pointers of Pyt
      hon immutable types. Take a look on 'ctypes integration' feature."

### W1057

Value:

      'compilation error W1057: Py++ can not expose "%s" - it does not belon
      g to named class.'

### W1058

Value:

      'compilation error W1058: Py++ can not expose "%s" it belongs to anony
      mous class and requires additional code to expose. This could be chang
      ed in future.'

### W1059

Value:

      'compilation error W1059: Py++ can not expose "%s" - it requires addit
      ional code to expose. This could be changed in future.'

### W1060

Value:

      'compilation error W1060: Py++ can not expose "%s" - it has name, Py++
       only exposes anonymous unions. This could be changed in future.'

### W1061

Value:

      'compilation error W1061: Py++ can not expose "%s" - its type is "%s".
       This could be changed in future.'

### W1062

Value:

      'compilation error W1062: "%s" contains "fake constructor" "%s", that
      was excluded. Py++ will not generate "__init__" method, based on that
      function.'

### W1063

Value:

      'compilation error W1063: "%s" contains "fake constructor" "%s", that
      is exportable. Py++ will not generate "__init__" method, based on that
       function.'

### W1064

Value:

      'compilation error W1064: Py++ can not expose "%s" as "fake constructo
      r" of "%s". Only the following function types supported: %s'

### W1065

Value:

      'code generation error W1065: There are two or more classes that use s
      ame class wrapper alias("%s"). Duplicated class wrapper aliases causes
       few problems, but the main one is that during files generation Py++ u
      ses class wrapper aliases for the file names. Py++ will rewrite the fi
      le content and at best will introduce compile time error. The worst ca
      se scenario: you will discover the problem during run-time.Use `wrappe
      r_alias` property to change class wrapper alias valueOther classes : %
      s'

### all_warning_msgs

Value:

      ['compilation error W1060: Py++ can not expose "%s" - it has name, Py+
      + only exposes anonymous unions. This could be changed in future.',
       'warning W0000: %s',
       'compilation error W1064: Py++ can not expose "%s" as "fake construct
      or" of "%s". Only the following function types supported: %s',
       'warning W1021: Py++ will generate class wrapper - hand written code
      should be added to the wrapper class null constructor body',
       'warning W1055: Py++ will generate class wrapper - hand written code
      ...

### msg

Value:

      'compilation error W1035: Py++ can not expose static pointer member va
      riables. This could be changed in future.'

### msg_inst

Value:

      'compilation error W1035: Py++ can not expose static pointer member va
      riables. This could be changed in future.'